<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>My Lists</title>
</head>
<body>
    <main>
        <div>
            <h1>{{ todolist.name }}</h1>
            <p>
                <a href="{% url 'todo_list_update' todolist.id %}">Edit</a>
            </p>
            <p>
                <a href="{% url 'todo_list_delete' todolist.id %}">Delete</a>
            </p>
            <h2>Tasks</h2>
            <table>
                <thead>
                    <tr>
                    <th>Task</th>
                    <th>Due date</th>
                    </tr>
                </thead>
                <tbody>
                    {% for todo in todolist.items.all %}
                    <tr>
                        <td><a href="{% url 'todo_item_update' todo.id %}">{{ todo.task }}</a></td>
                        <td>{{ todo.due_date }}</td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </main>
</body>
</html>